namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///TaskAllocationRule
    ///</summary>
    [Table("TaskAllocationRule")]
    public class TaskAllocationRule : BaseFullAuditEntity
    {
        #region 导航属性

        [ForeignKey("DoctorUserId")]
        [JsonIgnore]
        public User DoctorUser { get; set; }

        [JsonIgnore]
        public Enroll Enroll { get; set; }

        [JsonIgnore]
        public Trial Trial { get; set; }
        #endregion

        public Guid TrialId { get; set; }

        public int PlanSubjectCount { get; set; }
        public bool IsEnable { get; set; }

        public string Note { get; set; } = string.Empty;

        public Guid DoctorUserId { get; set; }

        public Guid EnrollId { get; set; }

        //是否是裁判医生  裁判医生单独加入
        public bool IsJudgeDoctor { get; set; }

        public int PlanReadingRatio { get; set; }
    }

}
