using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///TrialQCQuestionConfigure
    ///</summary>
    [Table("TrialQCQuestion")]
    public class TrialQCQuestion : BaseFullAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        public Trial Trial { get; set; }
        [JsonIgnore]
        [ForeignKey("ParentId")]
        public TrialQCQuestion ParentQCQuestion { get; set; }

        [JsonIgnore]
        public List<TrialQCQuestionAnswer> TrialQCQuestionAnswerList { get; set; }

        #endregion
        public Guid TrialId { get; set; }
        public string QuestionName { get; set; } = string.Empty;
        /// <summary> 语言类型 </summary>

        public LanguageType LanguageType { get; set; } = LanguageType.Chinese;
        public bool IsRequired { get; set; }
        public bool IsEnable { get; set; }

        /// <summary> 下拉框、文本、单选、多选 </summary>
        public string Type { get; set; } = string.Empty;
        public Guid? ParentId { get; set; }
        public string TypeValue { get; set; } = string.Empty;
        public string ParentTriggerValue { get; set; } = string.Empty;
        public int ShowOrder { get; set; }

        public bool? IsConfirm { get; set; }
    }
}
