namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///SubjectAdditionalEvaluationResult
    ///</summary>
    [Table("SubjectAdditionalEvaluationResult")]
    public class SubjectAdditionalEvaluationResult : BaseFullAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        [ForeignKey("TrialReadingQuestionId")]
        public ReadingQuestionTrial TrialReadingQuestion { get; set; }

        #endregion
        public Guid TrialReadingQuestionId { get; set; }

        public Guid SubjectId { get; set; }

        public Guid TrialReadingCriterionId { get; set; }

        public Guid? VisitTaskId { get; set; }

        public string Answer { get; set; } = string.Empty;

        /// <summary>
        /// 附加评估答案翻译字典
        /// </summary>

        public string TranslateDictionaryCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否是最终结果
        /// </summary>

        public bool IsFinalResult { get; set; }

        /// <summary>
        /// 最终结果
        /// </summary>

        public string FinalAnswer { get; set; } = string.Empty;

        /// <summary>
        /// 最终结果翻字典
        /// </summary>

        public string FinalTranslateDictionaryCode { get; set; } = string.Empty;

    }

}
