namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///阅片标准分页
    ///</summary>
    [Table("ReadingCriterionPage")]
    public class ReadingCriterionPage : BaseAddAuditEntity
    {
        #region 导航属性
        [JsonIgnore]
        public List<ReadingQuestionTrial> ReadingQuestionList { get; set; } = new List<ReadingQuestionTrial>();
        #endregion
        /// <summary>
        /// 项目ID
        /// </summary>
        public Guid TrialId { get; set; }

        /// <summary>
        /// 分页名称
        /// </summary>
        public string PageName { get; set; } = string.Empty;

        /// <summary>
        /// 是否启用
        /// </summary>
        public bool IsEnable { get; set; }
        /// <summary>
        /// 是否公共分页
        /// </summary>
        public bool IsPublicPage { get; set; } = false;

        /// <summary>
        /// 排序
        /// </summary>
        public int ShowOrder { get; set; } = 0;
        public Guid ReadingQuestionCriterionTrialId { get; set; }
    }
}
