namespace IRaCIS.Core.Domain.Models
{
    /// <summary>
    /// 阅片肿瘤学  针对访视任务 添加了一个结果
    /// </summary>
    [Table("ReadingOncologyTaskInfo")]
    public class ReadingOncologyTaskInfo : BaseAddAuditEntity
    {
        #region 导航属性

        [JsonIgnore]
        [ForeignKey("OncologyTaskId")]
        public VisitTask OncologyVisitTask { get; set; }

        [JsonIgnore]
        [ForeignKey("VisitTaskId")]
        public VisitTask VisitTask { get; set; }
        #endregion
        /// <summary>
        /// 肿瘤学  阅片任务ID
        /// </summary>
        public Guid OncologyTaskId { get; set; }

        /// <summary>
        ///  产生肿瘤学阅片任务的  访视类型的阅片任务Id
        /// </summary>
        public Guid VisitTaskId { get; set; }

        /// <summary>
        /// 结果
        /// </summary>
        public string EvaluationResult { get; set; } = string.Empty;

        /// <summary>
        /// 原因
        /// </summary>
        public string EvaluationReason { get; set; } = string.Empty;
        /// <summary>
        /// 项目Id
        /// </summary>
        public Guid TrialId { get; set; }

        /// <summary>
        /// 受试者Id
        /// </summary>
        public Guid SubjectId { get; set; }
    }
}
