using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///任务关系表
    ///</summary>
    [Table("ReadingTaskRelation")]
    public class ReadingTaskRelation : BaseAddAuditEntity
    {
        #region 导航属性

        [ForeignKey("TaskId")]
        [JsonIgnore]
        public VisitTask VisitTask { get; set; }
        #endregion

        /// <summary>
        /// 任务ID
        /// </summary>
        public Guid TaskId { get; set; }

        /// <summary>
        /// 关联的任务ID
        /// </summary>
        public Guid RelevanceTaskId { get; set; }

        /// <summary>
        /// 类型具体解释 看枚举
        /// </summary>
        public RelevanceType RelevanceType { get; set; }
    }
}
